{
  self,
  lib,
  craneLib,
  mold-wrapped,
}:
let
  cargoToml = lib.importTOML ./Cargo.toml;
  rev = self.shortRev or self.dirtyShortRev or "dirty";
in
craneLib.buildPackage {
  pname = cargoToml.package.name;
  version = "${cargoToml.package.version}+git.${rev}";

  src = craneLib.cleanCargoSource ./.;

  nativeBuildInputs = [ mold-wrapped ];

  RUSTFLAGS = "-C link-arg=-fuse-ld=mold";

  doCheck = false;

  meta = with lib; {
    mainProgram = cargoToml.package.name;
    description = "simple tool to convert, upload, and embed videos to zipline";
    homepage = "https://git.uku3lig.net/uku/tyrolienne";
    license = licenses.mpl20;
    platforms = platforms.unix;
  };
}
